commit:     311015ef9bd67937df81ec9e8ab61e705bb61af5
Author:     Sebastian Engel <sighunter <AT> gmx <DOT> de>
AuthorDate: Fri Dec  5 22:31:27 2025 +0000
Commit:     Paul Zander <negril.nx+gentoo <AT> gmail <DOT> com>
CommitDate: Fri Dec  5 22:31:27 2025 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=311015ef

games-util/xone: add 0.4.12

Signed-off-by: Sebastian Engel <sighunter <AT> gmx.de>

 games-util/xone/Manifest           |  1 +
 games-util/xone/xone-0.4.12.ebuild | 74 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 75 insertions(+)

diff --git a/games-util/xone/Manifest b/games-util/xone/Manifest
index 3421f08358..eb6bac3b7f 100644
--- a/games-util/xone/Manifest
+++ b/games-util/xone/Manifest
@@ -1,5 +1,6 @@
 DIST xone-0.4.10.tar.gz 76832 BLAKE2B 
71ac936ef29d4463cd306e0f3e36b950be33798c0b89063ca8f8658e654b91670533cc727029eb4f681c47650b1ba4c7db90843492de3873ec570efa5edcba71
 SHA512 
7e069bcdd9737c174d0cc9dfdbac00c8e80267c9719a449fa614e98ac48029c23bdf7c19909ae0bdb450fb0f6a3faf60727ec3c9f957247c3d5f7c2ad9fed0c5
 DIST xone-0.4.11.tar.gz 77176 BLAKE2B 
48ad32f9cd3b00263c98b4b04e7ede6cdc2d4780606cd13d1ec91390def43ef382dbbc931f2a90cc94b56620d2b398ed77a84b2e33e8a13288a0b1d95a2db18a
 SHA512 
89263ca1e6b6be8642e6076b21c2fe718511b168716b238328c8b984b4db4d053728c2a918e5a51c8fadcd8f17c09a4aa55a24b30ce16eb53ad681d8dbd35735
+DIST xone-0.4.12.tar.gz 77201 BLAKE2B 
c6769fa5f95f6f1dd7325f949b25aaefa6ee2e5ce3d57c7e24e39d3d0f435b5f0bfefae38425d575cfa113fbdf45286a5573c69b158c744ac9b7ad70319c2add
 SHA512 
608c0e34b1115a25a86bb7930684370a5a83635f30dab242c679c32b6b3518066997a5ce7cad347a521b59a1788c801ae8280e0519497c0a4856902699c1533d
 DIST xone-0.4.9.tar.gz 76814 BLAKE2B 
37f0703493abe65fd2b1c787cb79d1463a2a308a008297b5547eff65c375a669b571a097737e07d4a424022692b46a886c5c384e66e19a98023a9769196393e5
 SHA512 
e57d49427fde558659a2dc6934ea18e721288a413a71d2b2a83d751d7f445f0968745e280e80e8a966c9b4785a721ed11b865b8ac6b37017d6e4c25f58dfa3fe
 DIST xone-driver-201512-20810869_8ce2975a7fbaa06bcfb0d8762a6275a1cf7c1dd3.cab 
217326 BLAKE2B 
673d1daa4f40be22663be48e4a66de276a92d340d3f6be4793c6e307c336b191785d13854c2deecc619c9f23bf877347836e472ac9d405f562c84923eeeeac5f
 SHA512 
fa2e5a0da4fa10716230d878b846c80049b8d4e09c71143ec5d21770133871dc5811068998062812075ebcdf1a222d1c4f5e7198b2fc755b6aa01573d515ba18
 DIST 
xone-driver-201707-1cd6a87c-623f-4407-a52d-c31be49e925c_e19f60808bdcbfbd3c3df6be3e71ffc52e43261e.cab
 199891 BLAKE2B 
f531a9f4b8220ee4501431b308ee6e29a8dea26467020df25b7fa22228543cc560e1170d13b1cb3490c64c48bf610e3fb7ddfb743e4a2028f5980e02d0c36790
 SHA512 
0906debd6c1f4706348ec1b1cbf233ea2c45bbc0b8882593740964036808722f5bb701f43da803320609e02072cd16dada572d337fd4c05cc1cf6dde6fd38908

diff --git a/games-util/xone/xone-0.4.12.ebuild 
b/games-util/xone/xone-0.4.12.ebuild
new file mode 100644
index 0000000000..d75e88f1e0
--- /dev/null
+++ b/games-util/xone/xone-0.4.12.ebuild
@@ -0,0 +1,74 @@
+# Copyright 2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit linux-mod-r1
+
+XONE_DRIVER_VERSION="201707-1cd6a87c-623f-4407-a52d-c31be49e925c_e19f60808bdcbfbd3c3df6be3e71ffc52e43261e"
+XONE_DRIVER_VERSION_045E_02E6="201512-20810869_8ce2975a7fbaa06bcfb0d8762a6275a1cf7c1dd3"
+
+DESCRIPTION="Linux kernel driver for Xbox One and Xbox Series X|S accessories"
+HOMEPAGE="https://github.com/dlundqvist/xone";
+SRC_URI="
+       mirror+https://github.com/dlundqvist/xone/archive/v${PV}.tar.gz -> 
${P}.tar.gz
+       
https://catalog.s.download.windowsupdate.com/c/msdownload/update/driver/drvs/${XONE_DRIVER_VERSION:0:4}/${XONE_DRIVER_VERSION:4:2}/${XONE_DRIVER_VERSION:7}.cab
+               -> ${PN}-driver-${XONE_DRIVER_VERSION}.cab
+       
https://catalog.s.download.windowsupdate.com/d/msdownload/update/driver/drvs/${XONE_DRIVER_VERSION_045E_02E6:0:4}/${XONE_DRIVER_VERSION_045E_02E6:4:2}/${XONE_DRIVER_VERSION_045E_02E6:7}.cab
+               -> ${PN}-driver-${XONE_DRIVER_VERSION_045E_02E6}.cab
+"
+
+LICENSE="GPL-2+ MS-TOU"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RESTRICT="bindist mirror test"
+
+BDEPEND="app-arch/cabextract"
+
+CONFIG_CHECK="SND CFG80211 INPUT_FF_MEMLESS USB POWER_SUPPLY LEDS_CLASS HID"
+MODULES_KERNEL_MIN=5.13
+
+src_unpack() {
+       unpack ${P}.tar.gz
+
+       cabextract -F FW_ACC_00U.bin -d "${S}/xone_firmware" \
+               "${DISTDIR}/${PN}-driver-${XONE_DRIVER_VERSION}.cab" > 
/dev/null || die
+       cabextract -F FW_ACC_00U.bin -d "${S}/xone_firmware_045e_02e6" \
+               "${DISTDIR}/${PN}-driver-${XONE_DRIVER_VERSION_045E_02E6}.cab" 
> /dev/null || die
+}
+
+src_prepare() {
+       cp "${FILESDIR}/Makefile" "${S}" || die
+       default
+}
+
+src_compile() {
+       local modlist=(
+               xone_wired=kernel/drivers/input/joystick
+               xone_dongle=kernel/drivers/input/joystick
+               xone_gip=kernel/drivers/input/joystick
+               xone_gip_gamepad=kernel/drivers/input/joystick
+               xone_gip_headset=kernel/drivers/input/joystick
+               xone_gip_chatpad=kernel/drivers/input/joystick
+               xone_gip_madcatz_strat=kernel/drivers/input/joystick
+               xone_gip_madcatz_glam=kernel/drivers/input/joystick
+               xone_gip_pdp_jaguar=kernel/drivers/input/joystick
+
+       )
+
+       linux-mod-r1_src_compile
+}
+
+src_install() {
+       linux-mod-r1_src_install
+
+       einfo "Installing module blacklist"
+       insinto /etc/modprobe.d/
+       newins "${S}"/install/modprobe.conf xone-blacklist.conf
+
+       einfo "Installing Microsoft binary firmware"
+       insinto /lib/firmware/
+       newins "${S}"/xone_firmware/FW_ACC_00U.bin xow_dongle.bin
+       newins "${S}"/xone_firmware_045e_02e6/FW_ACC_00U.bin 
xow_dongle_045e_02e6.bin
+}

Reply via email to